Skip to main content
`Ctrl`+`K`

# DMStagGetIsLastRank

get boolean value for whether this rank is last in each direction in the rank grid

## Synopsis

    PetscErrorCode DMStagGetIsLastRank(DM dm, PetscBool *isLastRank0, PetscBool *isLastRank1, PetscBool *isLastRank2)

Not Collective

## Input Parameter

- dm - the `DMSTAG` object

## Output Parameters

- isLastRank0 - whether this rank is last in the x direction

- isLastRank1 - whether this rank is last in the y direction

- isLastRank2 - whether this rank is last in the z direction

## Note

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids. These arguments may be set to `NULL` in this case.

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagGetIsFirstRank()`

## Level

intermediate

## Location

src/dm/impls/stag/stagutils.c

## Examples

src/dm/impls/stag/tutorials/ex1.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages